summaryrefslogtreecommitdiffstats
path: root/development/pip
diff options
context:
space:
mode:
author Audrius Ka┼żukauskas <audrius@neutrino.lt>2010-05-12 23:28:46 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:28:46 +0200
commit3b12e4271b0a2577c57a4e2bc93fc25c2e2f2fce (patch)
treec6006df3bbea7245a30f2f43b1bfdcb09941e08f /development/pip
parentc1fb68324dbc9b165c5ccad83585a11430fd4fb6 (diff)
downloadslackbuilds-3b12e4271b0a2577c57a4e2bc93fc25c2e2f2fce.tar.gz
slackbuilds-3b12e4271b0a2577c57a4e2bc93fc25c2e2f2fce.tar.xz
development/pip: Added to 12.2 repository
Diffstat (limited to 'development/pip')
-rw-r--r--development/pip/README22
-rw-r--r--development/pip/license.txt20
-rw-r--r--development/pip/pip.SlackBuild43
-rw-r--r--development/pip/pip.info8
-rw-r--r--development/pip/slack-desc19
5 files changed, 112 insertions, 0 deletions
diff --git a/development/pip/README b/development/pip/README
new file mode 100644
index 0000000000..8825fbc020
--- /dev/null
+++ b/development/pip/README
@@ -0,0 +1,22 @@
+pip is a replacement for easy_install (from pysetuptools). It uses mostly the
+same techniques for finding packages, so packages that were made
+easy_installable should be pip-installable as well.
+
+pip is meant to improve on easy_install. Some of the improvements:
+
+- All packages are downloaded before installation. Partially-completed
+ installation doesn't occur as a result.
+- Care is taken to present useful output on the console.
+- The reasons for actions are kept track of. For instance, if a package is
+ being installed, pip keeps track of why that package was required.
+- Error messages should be useful.
+- The code is relatively concise and cohesive, making it easier to use
+ programmatically.
+- Packages don't have to be installed as egg archives, they can be installed
+ flat (while keeping the egg metadata).
+- Native support for other version control systems (Git, Mercurial and Bazaar)
+
+pip is complementary with virtualenv (can be found at SBo), and it is
+encouraged that you use virtualenv to isolate your installation.
+
+pip requires pysetuptools.
diff --git a/development/pip/license.txt b/development/pip/license.txt
new file mode 100644
index 0000000000..a8db856f10
--- /dev/null
+++ b/development/pip/license.txt
@@ -0,0 +1,20 @@
+Copyright (c) 2008 The Open Planning Project
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be
+included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
diff --git a/development/pip/pip.SlackBuild b/development/pip/pip.SlackBuild
new file mode 100644
index 0000000000..8759e8ce05
--- /dev/null
+++ b/development/pip/pip.SlackBuild
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Slackware build script for pip
+# Written by Audrius Ka┼żukauskas <audrius@neutrino.lt>
+
+PRGNAM=pip
+VERSION=${VERSION:-0.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/license.txt > $PKG/usr/doc/$PRGNAM-$VERSION/license.txt
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/pip/pip.info b/development/pip/pip.info
new file mode 100644
index 0000000000..9e1d4e4fbf
--- /dev/null
+++ b/development/pip/pip.info
@@ -0,0 +1,8 @@
+PRGNAM="pip"
+VERSION="0.4"
+HOMEPAGE="http://pypi.python.org/pypi/pip/"
+DOWNLOAD="http://pypi.python.org/packages/source/p/pip/pip-0.4.tar.gz"
+MD5SUM="b45714d04f8fd38fe8e3d4c7600b91a2"
+MAINTAINER="Audrius Kazukauskas"
+EMAIL="audrius@neutrino.lt"
+APPROVED="dsomero"
diff --git a/development/pip/slack-desc b/development/pip/slack-desc
new file mode 100644
index 0000000000..c0d8cc733f
--- /dev/null
+++ b/development/pip/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pip: pip (a better easy_install replacement)
+pip:
+pip: pip is a replacement for easy_install from pysetuptools.
+pip:
+pip: Homepage: http://pypi.python.org/pypi/pip/
+pip:
+pip:
+pip:
+pip:
+pip:
+pip: